# Module: packet/marker

## packet/marker

#### new require("packet/marker")()

  Source:
    - packet/marker.js, line 31

Source:
  - packet/marker.js, line 18

### Methods

#### read(input, position, len) → {module:packet/marker}

  Parsing function for a literal data packet (tag 10).

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `input` | String | Payload of a tag 10 packet
  `position` | Integer | Position to start reading from the input string
  `len` | Integer | Length of the packet or the remaining length of input at position

  Source:
    - packet/marker.js, line 43

  ##### Returns:

  Object representation
  Type
    module:packet/marker